import requests
url = "https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PUT \
--url https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"amount": {
"value": "<string>",
"currency": "EUR"
},
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"file_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issued_on": "2023-12-25",
"issuing_authority": "<string>",
"legally_binding_since": "2023-12-25",
"served_on": "2023-12-25",
"title_type": "enforcement_order",
"updated_at": "2023-11-07T05:31:56Z"
}{
"amount": {
"value": "<string>",
"currency": "EUR"
},
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"file_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issued_on": "2023-12-25",
"issuing_authority": "<string>",
"legally_binding_since": "2023-12-25",
"served_on": "2023-12-25",
"title_type": "enforcement_order",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "order_expired",
"detail": "The draft order has expired and can no longer be changed."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Replace enforceable title
The enforceable-title singleton owned by a titled claim.
import requests
url = "https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PUT \
--url https://api.paywise.de/v2/claims/{claim_id}/enforceable-title/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"amount": {
"value": "<string>",
"currency": "EUR"
},
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"file_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issued_on": "2023-12-25",
"issuing_authority": "<string>",
"legally_binding_since": "2023-12-25",
"served_on": "2023-12-25",
"title_type": "enforcement_order",
"updated_at": "2023-11-07T05:31:56Z"
}{
"amount": {
"value": "<string>",
"currency": "EUR"
},
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"file_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issued_on": "2023-12-25",
"issuing_authority": "<string>",
"legally_binding_since": "2023-12-25",
"served_on": "2023-12-25",
"title_type": "enforcement_order",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "order_expired",
"detail": "The draft order has expired and can no longer be changed."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Headers
Body
Replace the title metadata. Supply at least one title field. Omitted metadata fields and amount are cleared. Use PATCH to preserve fields you do not send.
Legal title category: enforcement_order = Vollstreckungsbescheid; default_judgment = Versäumnisurteil; final_judgment = Endurteil; acknowledgment_judgment = Anerkenntnisurteil; reservation_judgment = Vorbehaltsurteil; court_settlement = Gerichtlicher Vergleich; enforceable_notarial_deed = Vollstreckbare notarielle Urkunde; cost_assessment_order = Kostenfestsetzungsbeschluss; other = Sonstiger Titel. Required before finalization.
enforcement_order, default_judgment, final_judgment, acknowledgment_judgment, reservation_judgment, court_settlement, enforceable_notarial_deed, cost_assessment_order, other Response
Legal title category: enforcement_order = Vollstreckungsbescheid; default_judgment = Versäumnisurteil; final_judgment = Endurteil; acknowledgment_judgment = Anerkenntnisurteil; reservation_judgment = Vorbehaltsurteil; court_settlement = Gerichtlicher Vergleich; enforceable_notarial_deed = Vollstreckbare notarielle Urkunde; cost_assessment_order = Kostenfestsetzungsbeschluss; other = Sonstiger Titel.
enforcement_order, default_judgment, final_judgment, acknowledgment_judgment, reservation_judgment, court_settlement, enforceable_notarial_deed, cost_assessment_order, other 